# class Mail::InReplyToField

### Constants

CAPITALIZED_FIELD
FIELD_NAME

### Public Class Methods

new(value = nil, charset = 'utf-8') click to toggle source
Calls superclass method

    # File lib/mail/fields/in_reply_to_field.rb, line 38
    def initialize(value = nil, charset = 'utf-8')
      self.charset = charset
      value = value.join("\r\n\s") if value.is_a?(Array)
      super(CAPITALIZED_FIELD, strip_field(FIELD_NAME, value), charset)
      self.parse
      self
    end

### Public Instance Methods

decoded() click to toggle source

    # File lib/mail/fields/in_reply_to_field.rb, line 50
    def decoded
      do_decode
    end

encoded() click to toggle source

    # File lib/mail/fields/in_reply_to_field.rb, line 46
    def encoded
      do_encode(CAPITALIZED_FIELD)
    end